import { jsx } from "react/jsx-runtime";
import { ShieldSlashIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const ShieldSlash = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "ShieldSlash", ...props, children: /* @__PURE__ */ jsx(ShieldSlashIcon, { weight: variant }) });
  }
);
ShieldSlash.displayName = "ShieldSlash";
Object.assign(ShieldSlash, { isGdsIcon: true });
export {
  ShieldSlash
};
